Page MenuHomePhabricator

Onboard our new Developer Advocate
Closed, ResolvedPublic

Description

After T137801: Hire a Developer Advocate for the Technical Collaboration team comes the time to onboard this new team member.

Event Timeline

Qgil created this task.Sep 1 2016, 9:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2016, 9:44 AM
Qgil raised the priority of this task from Low to Normal.Oct 5 2016, 9:21 AM

What I have done so far:

  • Fill the form so HR, IT, and administration welcome the new person at the right time.
  • Set the first meetings.
  • Create our 1:1 doc.
  • Ask for an intro to be used in the introduction to our new Developer Advocate to the Wikimedia Foundation and the public.
  • Define proposed goals for this quarter, after checking mainly with @Rfarrand, @Aklapper, and @Quiddity.

More when the person joins and is introduced in society. :)

Qgil raised the priority of this task from Normal to High.Oct 10 2016, 3:09 PM

@srishakatux was presented in society this week, at wikitech-l, wmfall, and our team page in Meta. Yay!

She has been introduced to the team, we have discussed the neighboring relations with @Rfarrand and @Aklapper, we have discussed first assignments, and we are about to sign off her goals for this quarter. Our weekly 1:1 meeting is also scheduled.

Qgil lowered the priority of this task from High to Low.Oct 27 2016, 10:25 PM
Qgil moved this task from October to November on the Developer-Advocacy (Oct-Dec-2016) board.

After three weeks including two days in San Francisco, I think Onboarding Phase I is completed.

I will keep this task open to reflect that we are still talking about new topics and other onboarding stuff almost every time we talk. I will close it by the end of this quarter. Then the Summit, AllHands, and CE + TC offsites will do the rest.

Qgil closed this task as Resolved.Dec 19 2016, 8:30 PM

I just had the last 1:1 of 2016 with @srishakatux. We both agree that this onboarding is completed. It's been less than three months but plenty of (very good!) stuff has happened already.

Yay! Celebration!